Skip to main content
PUT
/
api
/
integrations
/
github
Update Github Settings
curl --request PUT \
  --url https://api.example.com/api/integrations/github \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "enabled": true,
  "token": "<string>",
  "clear_token": true
}
'
{
  "enabled": false,
  "has_token": false,
  "saved_tokens": [
    {
      "id": "<string>",
      "masked_token": "<string>",
      "created_at": "<string>"
    }
  ],
  "is_active": false
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Cookies

antidote_session
string | null

Body

application/json
enabled
boolean | null
token
string | null
clear_token
boolean | null

Response

Successful Response

enabled
boolean
default:false
has_token
boolean
default:false
saved_tokens
SavedTokenEntry · object[]
is_active
boolean
default:false